Bug 142407 - The vertical writing docx start position is wrong.
Summary: The vertical writing docx start position is wrong.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: filter:docx
Depends on:
Blocks: CJK DOCX Vertical-Text DOCX-Paragraph CJK-Japanese
  Show dependency treegraph
 
Reported: 2021-05-21 12:39 UTC by Jun Nogata
Modified: 2021-10-14 10:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Vertical writing docx file for testing (13.21 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-05-21 12:40 UTC, Jun Nogata
Details
Correct vertical writing position docx screenshot (216.43 KB, image/png)
2021-05-21 12:41 UTC, Jun Nogata
Details
Wrong vertical writing position Writer screenshot (182.47 KB, image/png)
2021-05-21 12:42 UTC, Jun Nogata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Nogata 2021-05-21 12:39:20 UTC
Description:
When I open a vertical writing docx from Writer, the start position is shifted left significantly.

Steps to Reproduce:
1. Start Writer.
2. Open vertical writing Docx file (attached file) from menu [File] -> [Open].


Actual Results:
It begins with a large shift to the left.

Expected Results:
Begin in the correct position on the right side.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.1.3.2 (x64) / LibreOffice Community
Build ID: 47f78053abe362b9384784d31a6e56f8511eb1c1
CPU threads: 2; OS: Windows 10.0 Build 19043; UI render: default; VCL: win
Locale: ja-JP (ja_JP); UI: ja-JP
Calc: threaded

With SKIA disabled.(Windows)
Comment 1 Jun Nogata 2021-05-21 12:40:16 UTC
Created attachment 172226 [details]
Vertical writing docx file for testing
Comment 2 Jun Nogata 2021-05-21 12:41:27 UTC
Created attachment 172227 [details]
Correct vertical writing position docx screenshot
Comment 3 Jun Nogata 2021-05-21 12:42:26 UTC
Created attachment 172228 [details]
Wrong vertical writing position Writer screenshot
Comment 4 Roman Kuznetsov 2021-05-22 08:03:46 UTC
confirm in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dbd4110cc36011042c98549d997daa79e8065aba
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL
Comment 5 Mark Hung 2021-06-07 13:07:12 UTC

Editing the default page style, in "Text Grid" tab, press apply.
Then first line returns to its normal position. I guess there is something wrong with the imported values.
Comment 6 Jun Nogata 2021-06-07 23:44:00 UTC
(In reply to Mark Hung from comment #5)

When I set the grid, it returned to the correct position. Thanks. So, it does indeed look like the imported values are wrong.
Comment 7 Commit Notification 2021-10-11 12:16:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5f84c44e3d5ff19b800b6358e61228546e318d4f

tdf#142407 fix incorrect number of lines in vertical writing.

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-10-12 13:21:49 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/829a001ffe89dd9c9dcda08fcc61bb4711b447df

tdf#142407 fix incorrect number of lines in vertical writing.

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.